org.jCharts.properties.util

## Class ChartItem

- java.lang.Object
- - org.jCharts.properties.util.ChartItem

- Direct Known Subclasses:
    ChartFont, ChartStroke

      public abstract class ChartItem
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static Paint` | `DEFAULT_PAINT`
    `private Paint` | `paint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartItem()`
    `ChartItem(Paint paint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Paint` | `getPaint()`
    `void` | `setupGraphics2D(Graphics2D graphics2D)` Sets the Paint and Stroke implementations on the Graphics2D Object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PAINT

          private static final Paint DEFAULT_PAINT

    - #### paint

          private Paint paint

  - ### Constructor Detail

    - #### ChartItem

          public ChartItem()

    - #### ChartItem

          public ChartItem(Paint paint)

  - ### Method Detail

    - #### getPaint

          public Paint getPaint()

    - #### setupGraphics2D

          public void setupGraphics2D(Graphics2D graphics2D)

      Sets the Paint and Stroke implementations on the Graphics2D Object
      Parameters:
        `graphics2D` -